---
title: 'Document: pointerlockchange event'
slug: Web/API/Document/pointerlockchange_event
tags:
  - Document
  - Event
  - Reference
  - Web
  - pointerlockchange
---
<div>{{APIRef}}</div>

<p>The <code>pointerlockchange</code> event is fired when the pointer is locked/unlocked.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Document/onpointerlockchange", "onpointerlockchange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js">document.addEventListener('pointerlockchange', (event) =&gt; {
  console.log('Pointer lock changed');
});</pre>

<p>Using the <code>onpointerlockchange</code> event handler property:</p>

<pre class="brush: js">document.onpointerlockchange = (event) =&gt; {
  console.log('Pointer lock changed');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Lock', '#pointerlockchange-and-pointerlockerror-events')}}</td>
   <td>{{Spec2('Pointer Lock')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.pointerlockchange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/API/Pointer_Lock_API">Using Pointer Lock API</a></li>
</ul>
